> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Merchants

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Returns a list of Merchants that satisfy the provided filters.

## Query Parameters

<ParamList
  items={[
{
name: 'name',
type: 'string',
required: false,
description: 'The name of the Merchant to filter for.',
},
{
name: 'type',
type: 'enum',
required: false,
description: 'The liability type supported by the Merchant.',
enums: ['credit_card', 'auto_loan', 'student_loan', 'personal_loan', 'mortgage'],
},
{
name: 'creditor_name',
type: 'string',
required: false,
description: (
  <>
    The name of the creditor as seen in a credit
    report. Ex. <code>JPMCB CARD</code> pertains
    to a Chase Credit Card.
  </>
),
},
{
name: 'provider_id.plaid',
type: 'string',
required: false,
description: 'The Plaid Institution ID for the Merchant to filter for.',
},
{
name: 'provider_id.mx',
type: 'string',
required: false,
description: 'The MX ID for the Merchant to filter for.',
},
{
name: 'provider_id.finicity',
type: 'string',
required: false,
description: 'The Finicity ID for the Merchant to filter for.',
},
{
name: 'provider_id.dpp',
type: 'string',
required: false,
description: 'The DebtPayPro ID for the Merchant to filter for.',
},
{
name: 'provider_id.rpps',
type: 'string',
required: false,
description: 'The Mastercard RPPS (Remote Payment and Presentment Service) ID for the Merchant to filter for.',
},
{
name: 'page',
type: 'string',
required: false,
description: 'The number of the page to return.',
},
{
name: 'page_cursor',
type: 'string',
required: false,
description: (
  <>
    The ID of a resource from which a page should start or end. Mutually exclusive with <code>page</code>.
  </>
),
},
{
name: 'page_limit',
type: 'string',
required: false,
description: 'The number of Merchants to return per page.',
},
]}
/>

## Returns

Returns a list of Merchants objects.

<RequestExample>
  ```bash cURL theme={null}
  curl "https://production.methodfi.com/merchants?name=Capital One" \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```

  ```javascript Node.js theme={null}
  const merchants = await method.merchants.list({
    name: 'Capital One',
    type: 'credit_card',
  });
  ```

  ```python Python theme={null}
  merchants = method.merchants.list({
    'name': 'Capital One',
    'type': 'credit_card'
  })
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "data": [
      {
        "id": "mch_301761",
        "parent_name": "Capital One",
        "name": "Capital One Credit Card",
        "logo": "https://static.methodfi.com/mch_logos/mch_301761.png",
        "type": "credit_card",
        "provider_ids": {
          "plaid": [
            "ins_9",
            "ins_128026"
          ],
          "mx": [
            "capital_one"
          ],
          "finicity": [],
          "dpp": [
            "9366979",
            "18372457",
            "18431971",
            "18373255",
            "14444930"
          ],
          "rpps": []
        },
        "is_temp": false,
        "account_number_formats": [
          "################"
        ]
      }
    ]
  }
  ```
</ResponseExample>
